Returns a list of patient
curl --request GET \
--url https://sandbox.elationemr.com/api/2.0/patients/ \
--header 'Authorization: Bearer <token>'{
"results": [
{
"caregiver_practice": 123,
"dob": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"primary_physician": 123,
"sex": "Unknown",
"actual_name": "<string>",
"address": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"consents": [
{
"application": "<string>",
"consented": true,
"is_active": true,
"last_modified_date": "2023-11-07T05:31:56Z"
}
],
"created_date": "2023-11-07T05:31:56Z",
"deleted_date": "2023-11-07T05:31:56Z",
"deleted_insurances": [
{
"address": "<string>",
"carrier": "<string>",
"city": "<string>",
"copay": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"deductible": "<string>",
"deleted_date": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"extension": "<string>",
"group_id": "<string>",
"id": 123,
"insurance_company": 123,
"insurance_plan": 123,
"insured_person_address": "<string>",
"insured_person_city": "<string>",
"insured_person_dob": "<string>",
"insured_person_first_name": "<string>",
"insured_person_gender": "<string>",
"insured_person_id": "<string>",
"insured_person_last_name": "<string>",
"insured_person_ssn": "<string>",
"insured_person_state": "<string>",
"insured_person_zip": "<string>",
"member_id": "<string>",
"phone": "<string>",
"plan": "<string>",
"start_date": "2023-12-25",
"state": "<string>",
"suite": "<string>",
"zip": "<string>"
}
],
"emails": [
{
"created_date": "2023-11-07T05:31:56Z",
"deleted_date": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com"
}
],
"emergency_contact": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"first_name": "<string>",
"id": 123,
"last_name": "<string>",
"phone": "<string>",
"relationship": "<string>",
"state": "<string>",
"zip": "<string>"
},
"employer": {
"code": "<string>",
"description": "<string>",
"name": "<string>"
},
"guarantor": {
"address": "<string>",
"city": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"id": 123,
"last_name": "<string>",
"phone": "<string>",
"state": "<string>",
"zip": "<string>"
},
"id": 123,
"insurances": [
{
"address": "<string>",
"carrier": "<string>",
"city": "<string>",
"copay": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"deductible": "<string>",
"deleted_date": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"extension": "<string>",
"group_id": "<string>",
"id": 123,
"insurance_company": 123,
"insurance_plan": 123,
"insured_person_address": "<string>",
"insured_person_city": "<string>",
"insured_person_dob": "<string>",
"insured_person_first_name": "<string>",
"insured_person_gender": "<string>",
"insured_person_id": "<string>",
"insured_person_last_name": "<string>",
"insured_person_ssn": "<string>",
"insured_person_state": "<string>",
"insured_person_zip": "<string>",
"member_id": "<string>",
"phone": "<string>",
"plan": "<string>",
"start_date": "2023-12-25",
"state": "<string>",
"suite": "<string>",
"zip": "<string>"
}
],
"last_modified": "2023-11-07T05:31:56Z",
"master_patient": 123,
"merged_into_chart": 123,
"metadata": {
"data": {},
"object_id": "<string>",
"object_web_link": "<string>"
},
"middle_name": "<string>",
"mothers_maiden_name": "<string>",
"notes": "<string>",
"occupation": "<string>",
"patient_status": {
"deceased_date": "2023-12-25",
"last_status_change": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"phones": [
{
"phone": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"deleted_date": "2023-11-07T05:31:56Z"
}
],
"preference": {
"preferred_pharmacy_1": "<string>",
"preferred_pharmacy_2": "<string>"
},
"preferred_language": "<string>",
"preferred_service_location": 123,
"previous_address": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"previous_first_name": "<string>",
"previous_last_name": "<string>",
"previous_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"primary_care_provider": 123,
"primary_care_provider_npi": "<string>",
"sms_opt_in_status": true,
"ssn": "<string>",
"suffix": "<string>",
"tags": [
"<unknown>"
],
"verified": true,
"vip": true
}
],
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Documentation Index
Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
Multiple values may be separated by commas.
Was this page helpful?
curl --request GET \
--url https://sandbox.elationemr.com/api/2.0/patients/ \
--header 'Authorization: Bearer <token>'{
"results": [
{
"caregiver_practice": 123,
"dob": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"primary_physician": 123,
"sex": "Unknown",
"actual_name": "<string>",
"address": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"consents": [
{
"application": "<string>",
"consented": true,
"is_active": true,
"last_modified_date": "2023-11-07T05:31:56Z"
}
],
"created_date": "2023-11-07T05:31:56Z",
"deleted_date": "2023-11-07T05:31:56Z",
"deleted_insurances": [
{
"address": "<string>",
"carrier": "<string>",
"city": "<string>",
"copay": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"deductible": "<string>",
"deleted_date": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"extension": "<string>",
"group_id": "<string>",
"id": 123,
"insurance_company": 123,
"insurance_plan": 123,
"insured_person_address": "<string>",
"insured_person_city": "<string>",
"insured_person_dob": "<string>",
"insured_person_first_name": "<string>",
"insured_person_gender": "<string>",
"insured_person_id": "<string>",
"insured_person_last_name": "<string>",
"insured_person_ssn": "<string>",
"insured_person_state": "<string>",
"insured_person_zip": "<string>",
"member_id": "<string>",
"phone": "<string>",
"plan": "<string>",
"start_date": "2023-12-25",
"state": "<string>",
"suite": "<string>",
"zip": "<string>"
}
],
"emails": [
{
"created_date": "2023-11-07T05:31:56Z",
"deleted_date": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com"
}
],
"emergency_contact": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"first_name": "<string>",
"id": 123,
"last_name": "<string>",
"phone": "<string>",
"relationship": "<string>",
"state": "<string>",
"zip": "<string>"
},
"employer": {
"code": "<string>",
"description": "<string>",
"name": "<string>"
},
"guarantor": {
"address": "<string>",
"city": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"id": 123,
"last_name": "<string>",
"phone": "<string>",
"state": "<string>",
"zip": "<string>"
},
"id": 123,
"insurances": [
{
"address": "<string>",
"carrier": "<string>",
"city": "<string>",
"copay": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"deductible": "<string>",
"deleted_date": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"extension": "<string>",
"group_id": "<string>",
"id": 123,
"insurance_company": 123,
"insurance_plan": 123,
"insured_person_address": "<string>",
"insured_person_city": "<string>",
"insured_person_dob": "<string>",
"insured_person_first_name": "<string>",
"insured_person_gender": "<string>",
"insured_person_id": "<string>",
"insured_person_last_name": "<string>",
"insured_person_ssn": "<string>",
"insured_person_state": "<string>",
"insured_person_zip": "<string>",
"member_id": "<string>",
"phone": "<string>",
"plan": "<string>",
"start_date": "2023-12-25",
"state": "<string>",
"suite": "<string>",
"zip": "<string>"
}
],
"last_modified": "2023-11-07T05:31:56Z",
"master_patient": 123,
"merged_into_chart": 123,
"metadata": {
"data": {},
"object_id": "<string>",
"object_web_link": "<string>"
},
"middle_name": "<string>",
"mothers_maiden_name": "<string>",
"notes": "<string>",
"occupation": "<string>",
"patient_status": {
"deceased_date": "2023-12-25",
"last_status_change": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"phones": [
{
"phone": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"deleted_date": "2023-11-07T05:31:56Z"
}
],
"preference": {
"preferred_pharmacy_1": "<string>",
"preferred_pharmacy_2": "<string>"
},
"preferred_language": "<string>",
"preferred_service_location": 123,
"previous_address": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"previous_first_name": "<string>",
"previous_last_name": "<string>",
"previous_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"primary_care_provider": 123,
"primary_care_provider_npi": "<string>",
"sms_opt_in_status": true,
"ssn": "<string>",
"suffix": "<string>",
"tags": [
"<unknown>"
],
"verified": true,
"vip": true
}
],
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}